%define upstream_name    Test-Log-Log4perl
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test log4perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module can be used to test that you're logging the right thing with
Log::Log4perl. It checks that we get what, and only what, we expect logged
by your code.

The basic process is very simple. Within your test script you get one or
more loggers from *Test::Log::Log4perl* with the 'get_logger' method just
like you would with *Log::Log4perl*. You're going to use these loggers to
declare what you think the code you're going to test should be logging.

  # declare a bunch of test loggers
  my $tlogger = Test::Log::Log4perl->get_logger("Foo::Bar");

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB="`pwd`"
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.320.0-3.mga8
+ Revision: 1506440
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.320.0-2.mga7
+ Revision: 1286670
- Mageia 7 Mass Rebuild
+ shlomif <shlomif>
- modernize .spec

* Mon Apr 23 2018 shlomif <shlomif> 0.320.0-1.mga7
+ Revision: 1221662
- fix for build
- imported package perl-Test-Log-Log4perl


* Mon Apr 23 2018 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
